Files
s390-tools/zdev/src/zdev-root-update.dracut
Michael Holzheu b627b8d8e1 Initial s390-tools-2.0.0 import
This commit is based on the s390-tools-1.39.0 version.

Changes on top of s390-tools-1.39.0:

 - Add MIT license to all source files
 - Add LICENSE file
 - Transform REAMDE to README.md (markdown)
 - Add AUTHORS.md file
 - Add CONTRIBUTING.md file
 - Move changelog from README to CHANGELOG.md file

Reviewed-by: Stefan Haberland <sth@linux.vnet.ibm.com>
Signed-off-by: Michael Holzheu <holzheu@linux.vnet.ibm.com>
2017-08-21 10:55:40 +02:00

30 lines
739 B
Bash

#!/bin/bash
#
# zdev-root-update
# Ensure that the persistent root device configuration is put into effect.
# On typical distributions this requires a rebuild of the initial ram disk
# and the re-installation of the IPL record referencing the ram disk.
#
# Parameters:
# zdev-root-update <devtype> <devid> [<devtype2> <devid2>...]
#
# Where <devtype> is the device type as used by chzdev and <devid> is the
# ID of the root device.
#
TOOLNAME=$(basename $0)
echo "Building initial RAM-disk"
dracut -f || {
echo "${TOOLNAME}: Error: Could not build initial RAM-disk" >&2
exit 1
}
echo "Installing IPL record"
zipl --noninteractive || {
echo "${TOOLNAME}: Error: Could not install IPL record" >&2
exit 1
}
exit 0